---------------------
PatchSet 1208 
Date: 2005/01/30 12:01:03
Author: serassio
Branch: nt
Tag: (none) 
Log:
Updated MS Visual Studio Project

Members: 
	port/win32/.cvsignore:1.1.18.6->1.1.18.7 
	port/win32/cf_data.vcproj:1.1.2.2->1.1.2.3 
	port/win32/icons.vcproj:1.1.2.2->1.1.2.3 
	port/win32/modules.vcproj:1.1.2.2->1.1.2.3 
	port/win32/squid_mswin.mak:1.2.18.2->1.2.18.3 
	port/win32/squid_version.cmd:1.1->1.1.2.1 

Index: squid3/port/win32/.cvsignore
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/.cvsignore,v
retrieving revision 1.1.18.6
retrieving revision 1.1.18.7
diff -u -r1.1.18.6 -r1.1.18.7
--- squid3/port/win32/.cvsignore	23 Jan 2005 08:46:50 -0000	1.1.18.6
+++ squid3/port/win32/.cvsignore	30 Jan 2005 12:04:57 -0000	1.1.18.7
@@ -2,6 +2,7 @@
 Debug
 Release
 BuildLog.htm
+squid_version.mak
 squid.ncb
 *.suo
 *.user
Index: squid3/port/win32/cf_data.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/cf_data.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/cf_data.vcproj	1 Jan 2005 11:14:50 -0000	1.1.2.2
+++ squid3/port/win32/cf_data.vcproj	30 Jan 2005 12:04:57 -0000	1.1.2.3
@@ -80,7 +80,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak cf.data&#x0D;&#x0A;nmake /f $(ProjectDir)\squid_mswin.mak cf_gen_defines.h&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(InputDir)\cf.data;$(InputDir)\cf_gen_defines.h"
 				/>
 			</FileConfiguration>
@@ -90,7 +90,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak cf.data&#x0D;&#x0A;nmake /f $(ProjectDir)\squid_mswin.mak cf_gen_defines.h&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(InputDir)\cf.data;$(InputDir)\cf_gen_defines.h"
 				/>
 			</FileConfiguration>
Index: squid3/port/win32/icons.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/icons.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/icons.vcproj	1 Jan 2005 11:14:50 -0000	1.1.2.2
+++ squid3/port/win32/icons.vcproj	30 Jan 2005 12:02:34 -0000	1.1.2.3
@@ -4,6 +4,7 @@
 	Version="8,00"
 	Name="icons"
 	ProjectGUID="{436115CB-6D55-48CA-9625-484F9DAE7F7E}"
+	RootNamespace="icons"
 	Keyword="MakeFileProj"
 	>
 	<Platforms>
@@ -79,6 +80,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak icons&#x0D;&#x0A;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(OutDir)\anthony-binhex.gif;$(OutDir)\anthony-bomb.gif;$(OutDir)\anthony-box.gif;$(OutDir)\anthony-box2.gif;$(OutDir)\anthony-c.gif;$(OutDir)\anthony-compressed.gif;$(OutDir)\anthony-dir.gif;$(OutDir)\anthony-dirup.gif;$(OutDir)\anthony-dvi.gif;$(OutDir)\anthony-f.gif;$(OutDir)\anthony-image.gif;$(OutDir)\anthony-image2.gif;$(OutDir)\anthony-layout.gif;$(OutDir)\anthony-link.gif;$(OutDir)\anthony-movie.gif;$(OutDir)\anthony-pdf.gif;$(OutDir)\anthony-portal.gif;$(OutDir)\anthony-ps.gif;$(OutDir)\anthony-quill.gif;$(OutDir)\anthony-script.gif;$(OutDir)\anthony-sound.gif;$(OutDir)\anthony-tar.gif;$(OutDir)\anthony-tex.gif;$(OutDir)\anthony-text.gif;$(OutDir)\anthony-unknown.gif;$(OutDir)\anthony-xbm.gif;$(OutDir)\anthony-xpm.gif"
 				/>
 			</FileConfiguration>
@@ -88,6 +90,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak icons&#x0D;&#x0A;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(OutDir)\anthony-binhex.gif;$(OutDir)\anthony-bomb.gif;$(OutDir)\anthony-box.gif;$(OutDir)\anthony-box2.gif;$(OutDir)\anthony-c.gif;$(OutDir)\anthony-compressed.gif;$(OutDir)\anthony-dir.gif;$(OutDir)\anthony-dirup.gif;$(OutDir)\anthony-dvi.gif;$(OutDir)\anthony-f.gif;$(OutDir)\anthony-image.gif;$(OutDir)\anthony-image2.gif;$(OutDir)\anthony-layout.gif;$(OutDir)\anthony-link.gif;$(OutDir)\anthony-movie.gif;$(OutDir)\anthony-pdf.gif;$(OutDir)\anthony-portal.gif;$(OutDir)\anthony-ps.gif;$(OutDir)\anthony-quill.gif;$(OutDir)\anthony-script.gif;$(OutDir)\anthony-sound.gif;$(OutDir)\anthony-tar.gif;$(OutDir)\anthony-tex.gif;$(OutDir)\anthony-text.gif;$(OutDir)\anthony-unknown.gif;$(OutDir)\anthony-xbm.gif;$(OutDir)\anthony-xpm.gif"
 				/>
 			</FileConfiguration>
Index: squid3/port/win32/modules.vcproj
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/modules.vcproj,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/port/win32/modules.vcproj	1 Jan 2005 11:14:50 -0000	1.1.2.2
+++ squid3/port/win32/modules.vcproj	30 Jan 2005 12:02:34 -0000	1.1.2.3
@@ -4,6 +4,7 @@
 	Version="8,00"
 	Name="modules"
 	ProjectGUID="{E665C76C-411C-40B2-BF0A-12E61DFFF0B7}"
+	RootNamespace="modules"
 	Keyword="MakeFileProj"
 	>
 	<Platforms>
@@ -79,7 +80,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak default_config_file.h&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;..\..\configure.in;"
+					AdditionalDependencies="squid_mswin.mak;..\..\configure.in;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(ProjectDir)\include\default_config_file.h"
 				/>
 			</FileConfiguration>
@@ -89,7 +90,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak default_config_file.h&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;..\..\configure.in;"
+					AdditionalDependencies="squid_mswin.mak;..\..\configure.in;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(ProjectDir)\include\default_config_file.h"
 				/>
 			</FileConfiguration>
@@ -103,7 +104,7 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak repl_modules.cc&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(OutDir)\repl_modules.cc"
 				/>
 			</FileConfiguration>
@@ -113,11 +114,35 @@
 				<Tool
 					Name="VCCustomBuildTool"
 					CommandLine="nmake /f $(ProjectDir)\squid_mswin.mak repl_modules.cc&#x0D;&#x0A;"
-					AdditionalDependencies="squid_mswin.mak;"
+					AdditionalDependencies="squid_mswin.mak;$(ProjectDir)\squid_version.mak;"
 					Outputs="$(OutDir)\repl_modules.cc"
 				/>
 			</FileConfiguration>
 		</File>
+		<File
+			RelativePath=".\squid_version.cmd"
+			>
+			<FileConfiguration
+				Name="Release|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					CommandLine="$(ProjectDir)\squid_version.cmd &gt; $(ProjectDir)\squid_version.mak"
+					AdditionalDependencies="..\..\configure.in;"
+					Outputs="$(ProjectDir)\squid_version.mak"
+				/>
+			</FileConfiguration>
+			<FileConfiguration
+				Name="Debug|Win32"
+				>
+				<Tool
+					Name="VCCustomBuildTool"
+					CommandLine="$(ProjectDir)\squid_version.cmd &gt; $(ProjectDir)\squid_version.mak"
+					AdditionalDependencies="..\..\configure.in;"
+					Outputs="$(ProjectDir)\squid_version.mak"
+				/>
+			</FileConfiguration>
+		</File>
 	</Files>
 	<Globals>
 	</Globals>
Index: squid3/port/win32/squid_mswin.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/squid_mswin.mak,v
retrieving revision 1.2.18.2
retrieving revision 1.2.18.3
diff -u -r1.2.18.2 -r1.2.18.3
--- squid3/port/win32/squid_mswin.mak	4 Sep 2004 15:55:36 -0000	1.2.18.2
+++ squid3/port/win32/squid_mswin.mak	30 Jan 2005 12:01:03 -0000	1.2.18.3
@@ -41,6 +41,7 @@
 DEFAULT_ERROR_DIR	= $(datadir)/errors/English
 DEFAULT_MIB_PATH	= $(datadir)/mib.txt
 DEFAULT_HOSTS		= none
+!INCLUDE squid_version.mak
 
 REPL_POLICIES = lru heap
 
@@ -63,7 +64,8 @@
 	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
 	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
 	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;\
-	s%@DEFAULT_HOSTS@%$(DEFAULT_HOSTS)%g;"\
+	s%@DEFAULT_HOSTS@%$(DEFAULT_HOSTS)%g;\
+	s%@[V]ERSION@%$(VERSION)%g;"\
 	< $(srcdir)\cf.data.pre >$(srcdir)\cf.data
 
 repl_modules.cc: .\repl_modules.cmd .\$(THISMAKEFILE)
--- /dev/null	Wed Feb 14 13:33:00 2007
+++ squid3/port/win32/squid_version.cmd	Wed Feb 14 13:34:11 2007
@@ -0,0 +1,2 @@
+@echo off
+FOR /F "usebackq skip=2 tokens=2 delims=) " %%i in (`find "AM_INIT_AUTOMAKE" ../../configure.in`) do echo VERSION = %%i
